Subject: bug#48228: json-serialize should signal error when dll is not found [MS Windows]

From: Richard Stallman <[email-masked]>
Date: Sat, 08 May 2021 00:48:10 -0400

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > On the other hand, it is quite possible that X years down the line the 
  > bundled miniGMP would get out of step with the main GMP and you'd have a 
  > reason to use one instead of the other. And having a run time check 
  > would help.

I wonder if we can help the maintainers remember to keep the two
libraries in sync.  Perhaps the test suite for GMP could include tests
that run miniGMP and compare the results.

Those tests would have a chance of detecting a discrepancy.  But, more
than that, they could direct the attention of developers of GMP towards
the need to keep miniGMP in sync with it.

This just occurred to me, and I don't know whether it has ever been
tried.  But I think it can't hurt much.

-- 
Dr Richard Stallman (https://stallman.org)
Chief GNUisance of the GNU Project (https://gnu.org)
Founder, Free Software Foundation (https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)